### Method

# Gdk Clipboardread_texture_finish

#### Declaration [src]

    GdkTexture*
    gdk_clipboard_read_texture_finish (
      GdkClipboard* clipboard,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finishes an asynchronous clipboard read.

See `gdk_clipboard_read_texture_async()`.

#### Parameters

`result`

  Type: `GAsyncResult`

  A `GAsyncResult`

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GdkTexture`

A new `GdkTexture`

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.